using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

/// <summary>
/// Summary description for sBlogEntry
/// </summary>
public struct sBlogEntryDate
{
    private DateTime _StartDate;
    public DateTime StartDate
    {
        get
        {
            return _StartDate;
        }
        set
        {
            _StartDate = value;
        }
    }

    private DateTime _EndDate;
    public DateTime EndDate
    {
        get
        {
            return _EndDate;
        }
        set
        {
            _EndDate = value;
        }
    }

    public sBlogEntryDate(DateTime startDate)
    {
        _StartDate = startDate;
        _EndDate = _StartDate.AddMonths(1);
    }

    public static sBlogEntryDate CreateFromQuery(string dateString)
    {
        string month = dateString.Substring(0, dateString.IndexOf(","));
        string year = dateString.Substring(dateString.IndexOf(",") + 1);
        DateTime startDate = new DateTime(int.Parse(year), int.Parse(month), 1);

        return new sBlogEntryDate(startDate);
    }
}
