using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Text;

public partial class controls_blogEntry : System.Web.UI.UserControl
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }

    /// <summary>
    /// Exposes the BlogEntryID attribute of the underlying markup (blogEntryIDCell)
    /// </summary>
    public int BlogEntryID
    {
        get
        {
            return int.Parse(this.blogEntryIDCell.Text);
        }
        set
        {
            this.blogEntryIDCell.Text = value.ToString();
        }
    }

    /// <summary>
    /// Exposes the BlogEntryTitle attribute of the underlying markup (blogEntryTitleCell)
    /// </summary>
    public string BlogEntryTitle
    {
        get
        {
            return this.blogEntryTitleCell.Text;
        }
        set
        {
            //this will be a link on to the page with the single blog, complete.  Should be used as a permalink?
            this.blogEntryTitleCell.Text = CreateLink(value);
        }
    }


    /// <summary>
    /// Creates an anchor link by BlogID and Title value so that Clicking the title brings you to the blog entry
    /// </summary>
    /// <param name="value"></param>
    /// <returns></returns>
    private string CreateLink(string value)
    {
        string s = string.Format("<a href=\"blog.aspx?id={0}\">{1}</a>", this.BlogEntryID.ToString(),value);
        return s;
    }

    /// <summary>
    /// Exposes the BlogEntrySubTitle attribute of the underlying markup (blogEntrySubTitleCell)
    /// </summary>
    public string BlogEntrySubTitle
    {
        get
        {
            return this.blogEntrySubTitleCell.Text;
        }
        set
        {
            this.blogEntrySubTitleCell.Text = value;
        }
    }

    /// <summary>
    /// Exposes the BlogEntryData (the blog text itself) attribute of the underlying markup (blogEntryDataCell)
    /// </summary>
    public string BlogEntryData
    {
        get
        {
            return this.blogEntryDataCell.Text; 
        }
        set
        {
            this.blogEntryDataCell.Text = value;
        }
    }

    /// <summary>
    ///  Exposes the BlogEntryFooter attribute of the underlying markup (blogEntryFooterCell)
    /// </summary>
    public string BlogEntryFooter
    {
        get
        {
            return this.blogEntryFooterCell.Text;
        }
        set
        {
            this.blogEntryFooterCell.Text = value;
        }
    }

    /// <summary>
    ///  Exposes the PermaLink attribute of the underlying markup (PermalinkCell)
    /// </summary>
    public string PermaLink
    {
        get
        {
            return this.PermalinkCell.Text;
        }
        set
        {
            this.PermalinkCell.Text = value;
        }
    }

    /// <summary>
    /// Creates the linkable tags and writes them to the exposed TagsCell attribute
    /// </summary>
    public string Tags
    {
        get
        {
            return this.TagsCell.Text;
        }
        set
        {
            if (value == string.Empty)
                this.TagsCell.Text = string.Format("<div class=\"TagsRow\">{0}</div>",value);
            else
            {
                this.TagsCell.Text = "<div class=\"TagsRow\">";
                string[] s = value.Split(new char[] { ',' });
                for (int i = 0; i < s.Length; i++)
                {
                    s[i] = string.Format("<a class=\"EntryTag\" href=\"blog.aspx?tag={0}\">{0}</a> &nbsp; ", s[i]);
                    //this.TagsLiteral.Text += s[i];
                    this.TagsCell.Text += s[i];
                }
                this.TagsCell.Text  += "</div>";
                
            }
            
            
        }
    }
      
}
